> ## Documentation Index
> Fetch the complete documentation index at: https://docs.world.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Post create account



## OpenAPI

````yaml https://gateway.id-infra.worldcoin.dev/openapi.json post /create-account
openapi: 3.1.0
info:
  title: world-id-gateway
  description: ''
  license:
    name: MIT
    identifier: MIT
  version: 0.1.4
servers: []
security: []
tags:
  - name: Gateway
    description: TODO
paths:
  /create-account:
    post:
      tags:
        - Gateway
      operationId: _doc_create_account
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAccountRequest'
        required: true
      responses:
        '202':
          description: TODO
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GatewayStatusResponse'
        '500':
          description: TODO
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServiceApiError'
components:
  schemas:
    CreateAccountRequest:
      type: object
      description: >-
        The request to create a new World ID account.


        Numeric string fields in this request accept decimal or
        `0x`/`0X`-prefixed hex.
      required:
        - recovery_address
        - authenticator_addresses
        - authenticator_pubkeys
        - offchain_signer_commitment
      properties:
        authenticator_addresses:
          type: array
          items:
            type: string
            format: hex
          description: The addresses of the authenticators.
        authenticator_pubkeys:
          type: array
          items:
            type: string
            format: hex
          description: The compressed public keys of the authenticators.
        offchain_signer_commitment:
          type: string
          format: hex
          description: The offchain signer commitment.
        recovery_address:
          type: string
          format: hex
          description: The recovery address.
    GatewayStatusResponse:
      type: object
      description: Response returned by the registry gateway for state-changing requests.
      required:
        - request_id
        - kind
        - status
      properties:
        kind:
          $ref: '#/components/schemas/GatewayRequestKind'
          description: The kind of operation that was submitted.
        request_id:
          $ref: '#/components/schemas/GatewayRequestId'
          description: Identifier assigned by the gateway to the submitted request.
        status:
          $ref: '#/components/schemas/GatewayRequestState'
          description: The current state of the request.
    ServiceApiError:
      type: object
      description: Error object returned by the services APIs (indexer, gateway).
      required:
        - code
        - message
      properties:
        code:
          $ref: '#/components/schemas/GatewayErrorCode'
          description: The error code.
        message:
          type: string
          description: Human-readable error message.
    GatewayRequestKind:
      type: string
      description: Kind of request tracked by the registry gateway.
      enum:
        - create_account
        - update_authenticator
        - insert_authenticator
        - remove_authenticator
        - update_recovery_agent
        - cancel_recovery_agent_update
        - execute_recovery_agent_update
        - recover_account
    GatewayRequestId:
      type: string
      description: >-
        Strongly-typed identifier for a gateway request.


        Returned by gateway mutation endpoints (create-account,
        insert/update/remove

        authenticator, etc.) and used to poll the status of the request.
    GatewayRequestState:
      oneOf:
        - type: object
          description: Request queued but not yet batched.
          required:
            - state
          properties:
            state:
              type: string
              enum:
                - queued
        - type: object
          description: Request currently being batched.
          required:
            - state
          properties:
            state:
              type: string
              enum:
                - batching
        - type: object
          description: Request submitted on-chain, hash available.
          required:
            - tx_hash
            - state
          properties:
            state:
              type: string
              enum:
                - submitted
            tx_hash:
              type: string
              description: Transaction hash emitted when the request was submitted.
        - type: object
          description: Request finalized on-chain.
          required:
            - tx_hash
            - state
          properties:
            state:
              type: string
              enum:
                - finalized
            tx_hash:
              type: string
              description: Transaction hash emitted when the request was finalized.
        - type: object
          description: Request failed during processing.
          required:
            - error
            - state
          properties:
            error:
              type: string
              description: Error message returned by the gateway.
            error_code:
              oneOf:
                - type: 'null'
                - $ref: '#/components/schemas/GatewayErrorCode'
                  description: Specific error code, if available.
            state:
              type: string
              enum:
                - failed
      description: Tracking state for a registry gateway request.
    GatewayErrorCode:
      type: string
      description: Gateway error codes.
      enum:
        - internal_server_error
        - not_found
        - bad_request
        - batcher_unavailable
        - authenticator_already_exists
        - authenticator_does_not_exist
        - mismatched_signature_nonce
        - pubkey_id_in_use
        - pubkey_id_out_of_bounds
        - authenticator_does_not_belong_to_account
        - transaction_reverted
        - confirmation_error
        - duplicate_request_in_flight
        - rate_limit_exceeded
        - request_timeout
        - method_not_available

````